binfile.cpp File Reference

Binary file formats implementations. More...

`#include <itpp/base/binfile.h>`
`#include <itpp/base/math/misc.h>`
`#include <cstring>`

Go to the source code of this file.

## Namespaces

| itpp
| itpp namespace

## Functions

template<typename T1 , typename T2 >
void | itpp::read_endian (T1 &st, T2 &data, bool switch_endian=false)
| Read binary data and optionally switch endianness.
template<typename T1 , typename T2 >
void | itpp::write_endian (T1 &st, T2 data, bool switch_endian=false)
| Write binary data and optionally switch endianness.
bool | itpp::exist (const std::string &name)
| Checks if a file named `name` already exists on the disk.

## Detailed Description

Binary file formats implementations.

Author
  Tony Ottosson, Thomas Eriksson, Adam Piatyszek and Andy Panov

Copyright (C) 1995-2013 (see AUTHORS file for a list of contributors)

This file is part of IT++ - a C++ library of mathematical, signal processing, speech processing, and communications classes and functions.

IT++ is free software: you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later version.

IT++ is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with IT++. If not, see http://www.gnu.org/licenses/.

Definition in file binfile.cpp.

Generated on Mon Mar 23 2020 06:18:03 for IT++ by Doxygen 1.8.17